[v-cloak] {
    display: none;
}
#app {
    position: relative;
    min-height: 101vh;
    padding-bottom: 400px;
    background: #F9F9F9;
}
.common-head-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #FFFFFF;
}
.common-head-container .common-head-top-box {
    display: flex;
    align-items: center;
    margin-top: 40px;
}
.common-head-container .common-logo {
    width: 200px;
    margin-right: 60px;
}
.common-head-container .coomon-input-box {
    border: 1px solid #12A4FF;
    border-radius: 5px;
    height: 46px;
    overflow: hidden;
    display: flex;
}
.common-head-container .search-input {
    height: 100%;
    width: 420px;
    border: none;
    font-size: 20px;
    padding: 0 25px;
    color: #333333;
}
.common-head-container .search-input::-webkit-input-placeholder {
    color: #CCCCCC ;
    font-size: 20px;
}
.common-head-container .search-btn-box {
    height: 100%;
    width: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    font-weight: 400;
    background: #12A4FF;
    color: #FFFFFF;
    cursor: pointer;
}
.common-head-container .login-register-box {
    display: flex;
    align-items: center;
    margin: 0 50px;
}
.common-head-container .login-register-text {
    font-size: 20px;
    font-weight: 400;
    color: #333333;
    cursor: pointer;
}
.common-head-container .vertical-line {
    width: 1px;
    height: 14px;
    background: #707070;
    margin: 0 20px;
}
.common-head-container .username-box {
    margin: 0 14px;
    display: flex;
    align-items: center;
}
.common-head-container .username-box-name {
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #333333;
    cursor: pointer;
}
.common-head-container .username-vertical-line {
    width: 1px;
    height: 14px;
    background: #707070;
    margin: 0 12px;
}
.common-head-container .username-box-exit {
    font-size: 18px;
    font-weight: 400;
    line-height: 1;
    color: #12A4FF;
    cursor: pointer;
}
.common-head-container .release-box {
    width: 200px;
    height: 48px;
    background: #FFFFFF;
    border: 1px solid #CCCCCC;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.common-head-container .release-icon {
    width: 18px;
    opacity: 1;
    margin-right: 5px;
}
.common-head-container .release-text {
    font-size: 20px;
    font-weight: 400;
    color: #333333;
}

.common-head-container .common-head-bottom-box {
    margin: 40px 0 34px -25px;
    display: flex;
    justify-content: center;
}
.common-head-container .type-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.common-head-container .type-item {
    padding-right: 30px;
}
.common-head-container .type-item:last-child {
    padding-right: 0;
}
.common-head-container .type-item .color-box {
    width: 160px;
    height: 48px;
    background: #F1F1F1;
    color: #CCCCCC;
    border-radius: 5px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.common-head-container .type-text {
    font-size: 20px;
    font-weight: 400;
    opacity: 1;
}
.common-head-container .type-item.active .color-box, .common-head-container .type-item:hover .color-box {
    background: #12A4FF;
    color: #FFFFFF;
}


.common-foot-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #EAEAEA;
    position: absolute;
    bottom: 0;
    left: 0;
}
.common-foot-container .common-foot-top-box {
    margin-top: 40px;
    display: flex;
    flex-direction: column;
}
.common-foot-container .link-text {
    margin-bottom: 30px;
    font-size: 21px;
    font-weight: 800;
    color: #999999;
    opacity: 1;
}
.common-foot-container .type-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.common-foot-container .type-item {
    padding-right: 30px;
}
.common-foot-container .type-item:last-child {
    padding-right: 0;
}
.common-foot-container .type-item .color-box {
    width: 160px;
    height: 48px;
    background: #F1F1F1;
    color: #CCCCCC;
    border-radius: 5px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.common-foot-container .type-text {
    font-size: 20px;
    font-weight: 400;
    opacity: 1;
}
.common-foot-container .type-item.active .color-box, .common-foot-container .type-item:hover .color-box {
    background: #12A4FF;
    color: #FFFFFF;
}
.common-foot-container .desc-list {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 50px 0 30px;
}
.common-foot-container .desc-item {
    font-size: 14px;
    margin-bottom: 40px;
    font-weight: 400;
    color: #333333;
}
.common-register-container, .common-login-container, .common-publish-container {
    width: 480px;
}
.el-dialog__header {
    text-align: left;
}
.el-dialog__header .el-dialog__title {
    font-size: 22px !important;
}
.el-dialog__body {
    padding-bottom: 15px !important;
}
.el-dialog__footer {
    padding: 0 0 30px !important;
}
.common-register-container .email-btn {
    width: 100%;
    margin-left: -3px;
    position: relative;
    z-index: 3;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}
.common-register-container .protocol-text {
    color:#409EFF;
}
.common-register-container .el-checkbox__input.is-checked+.el-checkbox__label {
    color: #606266 !important;
}
.publish-dialog-header {
    display: flex;
    align-items: center;
}
.publish-dialog-header .title-icon {
    width: 18px;
}
.publish-dialog-header .title-text {
    font-size: 22px !important;
    line-height: 1;
    margin-left: 10px;
}
.common-publish-container .el-select {
    width: 100% !important;
}
.common-publish-container input[type="number"] {
    -moz-appearance: textfield;
}
.common-publish-container input[type="number"]::-webkit-outer-spin-button, .common-publish-container input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
}
.common-publish-container .upload-container {
    display: flex;
    align-items: flex-end;
}
.common-publish-container .upload-img-box {
    width: 80px;
    height: 80px;
    overflow: hidden;
    margin-right: 20px;
}
.common-publish-container .upload-img {
    width: 100%;
}
.common-publish-container .upload-tip {
    margin-top: 15px;
    font-size: 12px;
    line-height: 1;
    color: #666666;
}
.common-publish-container .upload-btn span {
    display: flex;
    align-items: center;
    font-size: 14px;
}
.common-publish-container .upload-icon {
    width: 15px;
    margin-right: 10px;
}
.common-confirm-btn {
    margin-left: 72px !important;
}
.common-pointer {
    cursor: pointer;
}



/* 首页样式 */
.home-page-container {
    width: 100%;
    display: flex;
    justify-content: center;
    background: #F9F9F9;
}
.home-page-body {
    width: 1200px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.home-page-body .top-banner-img-box {
    width: 100%;
    margin: 40px 0 50px;
}
.home-page-body .top-banner-img {
    width: 100%;
}
.home-page-body .goods-type-box {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-bottom: 30px;
}
.home-page-body .goods-type-item {
    margin-bottom: 50px;
}
.home-page-body .goods-type-top-box {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.home-page-body .goods-desc-box {
    display: flex;
    flex-direction: column;
}
.home-page-body .goods-desc-info {
    font-size: 36px;
    font-weight: 800;
    color: #333333;
    margin-bottom: 10px;
    letter-spacing: 4px;
}
.home-page-body .goods-desc-block {
    width: 60px;
    height: 4px;
    background: #12A4FF;
}
.home-page-body .goods-desc-info-en {
    font-size: 24px;
    font-weight: 800;
    color: #CCCCCC;
    margin-top: 10px;
    letter-spacing: 2px;
}
.home-page-body .see-more {
    font-size: 24px;
    font-weight: 400;
    color: #ccc;
    letter-spacing: 2px;
    cursor: pointer;
}
.home-page-body .goods-info-list {
    display: grid;
    justify-content: space-between;
    grid-template-columns: repeat(3, 30%);
    grid-gap: 40px 5%;
    margin-top: 40px;
}
.home-page-body .goods-info-item {
    width: 100%;
    height: 550px;
    display: flex;
    flex-direction: column;
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    overflow: hidden;
    cursor: pointer;
    background: #FFFFFF;
}
.home-page-body .goods-info-item-top {
    width: 100%;
    overflow: hidden;
    border-bottom: 1px solid #EEEEEE;
    height: 378px;
}
.home-page-body .goods-info-img {
    width: 100%;
    height: 100%;
}
.home-page-body .goods-info-item-bottom {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.home-page-body .goods-info-name-box {
    height: 55px;
    width: 100%;
    overflow: hidden;
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.home-page-body .goods-info-name {
    font-size: 20px;
    font-weight: 400;
    color: #666666;
    max-width: 300px;
    text-align: center;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}
.home-page-body .goods-info-amount {
    font-size: 24px;
    font-weight: 800;
    color: #FF3131;
    margin-top: 12px;
    line-height: 1;
}
.home-page-body .goods-info-business {
    font-size: 20px;
    font-weight: 400;
    color: #999999;
    line-height: 1;
    margin: 16px 0 21px;
}


/* 闲置样式 */
.idle-page-container {
    width: 100%;
    display: flex;
    justify-content: center;
    background: #F9F9F9;
}
.idle-page-body {
    width: 1200px;
    display: flex;
    flex-direction: column;
}
.idle-page-body .goods-type-box {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-bottom: 30px;
}
.idle-page-body .goods-type-item {
    margin-bottom: 50px;
}
.idle-page-body .goods-type-top-box {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.idle-page-body .goods-type-top-box.mg50 {
    margin-top: 50px;
}
.idle-page-body .goods-desc-box {
    display: flex;
    flex-direction: column;
}
.idle-page-body .goods-desc-info {
    font-size: 36px;
    font-weight: 800;
    color: #333333;
    margin-bottom: 10px;
    letter-spacing: 4px;
}
.idle-page-body .goods-desc-block {
    width: 60px;
    height: 4px;
    background: #12A4FF;
}
.idle-page-body .goods-desc-info-en {
    font-size: 24px;
    font-weight: 800;
    color: #CCCCCC;
    margin-top: 10px;
    letter-spacing: 2px;
}
.idle-page-body .goods-info-list {
    display: grid;
    justify-content: space-between;
    grid-template-columns: repeat(3, 30%);
    grid-gap: 40px 5%;
    margin-top: 40px;
}
.idle-page-body .goods-info-item {
    width: 100%;
    height: 550px;
    display: flex;
    flex-direction: column;
    box-shadow: 0px 0px 3px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    overflow: hidden;
    cursor: pointer;
    background: #FFFFFF;
}
.idle-page-body .goods-info-item.no-pointer {
    cursor: auto;
}
.idle-page-body .goods-info-item-top {
    width: 100%;
    overflow: hidden;
    border-bottom: 1px solid #EEEEEE;
    height: 378px;
}
.idle-page-body .goods-info-img {
    width: 100%;
    height: 100%;
}
.idle-page-body .goods-info-item-bottom {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.idle-page-body .goods-info-name-box {
    height: 55px;
    width: 100%;
    overflow: hidden;
    margin-top: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.idle-page-body .goods-info-name {
    font-size: 20px;
    font-weight: 400;
    color: #666666;
    max-width: 300px;
    text-align: center;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}
.idle-page-body .goods-info-amount {
    font-size: 24px;
    font-weight: 800;
    color: #FF3131;
    margin-top: 12px;
    line-height: 1;
}
.idle-page-body .goods-info-status-box {
    margin: 16px 0 21px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.idle-page-body .goods-info-status-shape {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-right: 8px;
}
.idle-page-body .status0-box .goods-info-status-shape {
    background: #FFD54B;
}
.idle-page-body .status1-box .goods-info-status-shape {
    background: #4EDF43;
}
.idle-page-body .status2-box .goods-info-status-shape {
    background: #FF3131;
}
.idle-page-body .goods-info-status-text {
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #999999;
}
.idle-page-body .goods-info-business {
    font-size: 20px;
    font-weight: 400;
    color: #999999;
    line-height: 1;
    margin: 16px 0 21px;
}
.idle-page-body .type-list-box {
    margin: 50px 0 40px;
    display: flex;
}
.idle-page-body .type-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.idle-page-body .type-item {
    width: 160px;
    height: 48px;
    background: #F1F1F1;
    color: #CCCCCC;
    border-radius: 5px;
    margin-right: 40px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.idle-page-body .type-item:last-child {
    margin-right: 0;
}
.idle-page-body .type-text {
    font-size: 20px;
    font-weight: 400;
    opacity: 1;
}
.idle-page-body .type-item.active {
    background: #12A4FF;
    color: #FFFFFF;
}
.idle-page-body .pagination-box {
    margin-bottom: 78px;
    display: flex;
    justify-content: center;
}


/* 详情样式 */
.idle-detail-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.idle-detail-page-container .idle-detail-top-path-box {
    width: 100%;
    height: 54px;
    background: #F2F2F2;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;
}
.idle-detail-page-container .idle-detail-top-path-text {
    width: 1200px;
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #333333;
}
.idle-detail-page-body {
    width: 1200px;
    display: flex;
    flex-direction: column;
    background: #FFFFFF;
    border-radius: 5px;
    margin-bottom: 70px;
}
.idle-detail-page-body .idle-detail-top-info-box {
    display: flex;
    align-items: center;
    padding: 40px;
    border-bottom: 1px solid #EEEEEE;
}
.idle-detail-page-body .idle-detail-top-left-box {
    width: 400px;
    height: 400px;
    margin-right: 40px;
    overflow: hidden;
}
.idle-detail-page-body .idle-detail-top-left-img {
    width: 100%;
    height: 100%;
}
.idle-detail-page-body .idle-detail-top-right-box {
    display: flex;
    flex-direction: column;
}
.idle-detail-page-body .idle-detail-top-right-name {
    font-size: 28px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
    margin-bottom: 25px;
}
.idle-detail-page-body .idle-detail-top-right-btn {
    width: 144px;
    height: 44px;
    border: 1px solid #12A4FF;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.idle-detail-page-body .idle-detail-top-right-btn-text {
    font-size: 20px;
    font-weight: 400;
    color: #12A4FF;
}
.idle-detail-page-body .idle-detail-top-right-price-box {
    margin-top: 40px;
    font-size: 24px;
    font-weight: 800;
    line-height: 1;
    color: #FF3131;
}
.idle-detail-page-body .idle-detail-top-right-price-box .idle-detail-top-right-price-text {
    font-size: 48px;
}
.idle-detail-page-body .idle-detail-top-right-info-box {
    margin: 30px 0 40px;
    display: flex;
    align-items: center;
}
.idle-detail-page-body .idle-detail-top-right-info-text {
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #999999;
}
.idle-detail-page-body .idle-detail-top-right-info-text:first-child {
    margin-right: 64px;
}
.idle-detail-page-body .idle-detail-bottom-info-box {
    padding: 40px 60px 80px;
    display: flex;
    flex-direction: column;
}
.idle-detail-page-body .idle-detail-bottom-introduce-text {
    font-size: 24px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
    margin-bottom: 30px;
}


/* 新闻样式 */
.news-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.news-page-container .news-detail-top-path-box {
    width: 100%;
    height: 54px;
    background: #F2F2F2;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 40px;
}
.news-page-container .news-detail-top-path-text {
    width: 1200px;
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #333333;
}
.news-page-container .news-list {
    width: 1200px;
    display: flex;
    flex-direction: column;
}
.news-page-container .news-item {
    padding: 30px 43px 30px 34px;
    display: flex;
    align-items: center;
    margin-bottom: 30px;
    background: #FFFFFF;
    border-radius: 5px;
}
.news-page-container .news-left-box {
    width: 270px;
    height: 200px;
    overflow: hidden;
    margin-right: 30px;
}
.news-page-container .news-left-img {
    width: 100%;
}
.news-page-container .news-right-box {
    height: 200px;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.news-page-container .news-right-title {
    font-size: 28px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
    margin-bottom: 10px;
}
.news-page-container .news-right-content {
    font-size: 16px;
    font-weight: 400;
    line-height: 38px;
    color: #999999;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
}
.news-page-container .news-right-desc {
    margin-top: 7px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 15px;
    font-weight: 400;
    line-height: 1;
    color: #CCCCCC;
}
.news-page-container .news-right-info-box {
    display: flex;
    align-items: baseline;
    cursor: pointer;
}
.news-page-container .el-icon-arrow-right {
    font-size: 14px;
}
.news-page-container .pagination-box {
    margin-bottom: 50px;
    display: flex;
    justify-content: center;
}


/* 新闻详情样式 */
.news-detail-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.news-detail-page-container .news-detail-top-path-box {
    width: 100%;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 40px;
    background: #F2F2F2;
}
.news-detail-page-container .news-detail-top-path-text {
    width: 1200px;
    font-size: 20px;
    font-weight: 400;
    line-height: 1;
    color: #333333;
}
.news-detail-page-container .news-detail-content-container {
    width: 100%;
    background: #F9F9F9;
    display: flex;
    justify-content: center;
}
.news-detail-page-container .news-detail-content-box {
    width: 1197px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 60px 0 80px;
}
.news-detail-page-container .news-detail-title {
    font-size: 32px;
    font-weight: 800;
    color: #333333;
    margin-bottom: 20px;
}
.news-detail-page-container .news-detail-desc {
    display: flex;
    justify-content: space-between;
    margin-bottom: 60px;
    font-size: 16px;
    font-weight: 400;
    color: #999999;
}
.news-detail-page-container .news-detail-author {
    margin-right: 60px;
}


/* 关于我们样式 */
.about-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.about-page-container .about-page-content-box {
    width: 1200px;
    background: #FFFFFF;
    border-radius: 5px;
    padding: 40px 45px 50px;
    margin: 40px 0 80px;
}
.about-page-container .about-page-title-box {
    display: flex;
    align-items: flex-end;
    margin-bottom: 30px;
}
.about-page-container .about-page-vertical {
    width: 5px;
    height: 24px;
    background: #12A4FF;
    border-radius: 5px;
    margin-right: 10px;
}
.about-page-container .about-page-title {
    font-size: 28px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
}


/* 联系我们样式 */
.contact-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.contact-page-container .contact-page-content-box {
    width: 1200px;
    background: #FFFFFF;
    border-radius: 5px;
    padding: 40px 45px 50px;
    margin: 40px 0 80px;
}
.contact-page-container .contact-page-title-box {
    display: flex;
    align-items: flex-end;
    margin-bottom: 30px;
}
.contact-page-container .contact-page-vertical {
    width: 5px;
    height: 24px;
    background: #12A4FF;
    border-radius: 5px;
    margin-right: 10px;
}
.contact-page-container .contact-page-title {
    font-size: 28px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
}


/* 常见问题样式 */
.problem-page-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: #F9F9F9;
}
.problem-page-container .problem-page-content-box {
    width: 1200px;
    margin: 40px 0 60px;
}
.problem-page-container .problem-page-list {
    display: flex;
    flex-direction: column;
}
.problem-page-container .problem-page-item {
    width: 100%;
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    overflow: hidden;
    margin-bottom: 20px;
}
.problem-page-container .problem-page-top-box {
    height: 120px;
    width: 100%;
    padding: 0 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #FFFFFF;
    cursor: pointer;
}
.problem-page-container .problem-page-top-left-box {
    display: flex;
    align-items: flex-end;
}
.problem-page-container .problem-page-top-vertical {
    width: 5px;
    height: 24px;
    background: #12A4FF;
    border-radius: 5px;
    margin-right: 10px;
}
.problem-page-container .problem-page-top-text {
    font-size: 28px;
    font-weight: 800;
    line-height: 1;
    color: #333333;
}
.problem-page-container .problem-page-top-right-box {
    width: 36px;
    height: 30px;
}
.problem-page-container .problem-page-top-right-icon {
    width: 32px;
    transition: transform 0.3s ease-out;
}
.problem-page-container .problem-page-top-right-box.active .problem-page-top-right-icon {
    transform: rotateZ(180deg);
}
.problem-page-container .problem-page-bottom-box {
    width: 100%;
    padding: 28px 50px;
    background: #F1F1F1;
}
.problem-page-container .fade-enter-active, .fade-leave-active {
    transition: opacity .3s;
}
.problem-page-container .fade-enter, .fade-leave-to {
    opacity: 0;
}
.problem-page-container .problem-page-bottom-text {
    font-size: 20px;
    line-height: 32px;
    color: #666666;
}